Basilisk CAPTCHA

Basilisk

This is a token based method to bypass Basilisk CAPTCHA.

Task types

  • BasiliskTaskProxyless. We use our own proxy pool to solve captchas.
  • BasiliskTask. We use the proxy you provide.

Specification for BasiliskTaskProxyless

Property Type Required Description
type String Yes Task type. Choose BasiliskTaskProxyless or BasiliskTask.
websiteURL String Yes Full URL of the target web page where the captcha is loaded.
websiteKey String Yes Value of the data sitekey parameter found on the page. Unique for the website.
userAgent String No Browser User Agent that opens the page.

Specification for BasiliskTask

Property Type Required Description
proxyType String Yes Proxy type. Choose http, socks4, or socks5.
proxyAddress String Yes IP address or hostname of the proxy server.
proxyPort Number Yes Port of the proxy server.
proxyLogin String No Login to authenticate on the proxy server.
proxyPassword String No Password to authenticate on the proxy server.

Request examples

Method: createTask
API endpoint: https://api.2captcha.com/createTask

Example request for BasiliskTaskProxyless

json Copy
{
    "clientKey": "YOUR_API_KEY",
    "task": {
      "type": "BasiliskTaskProxyless",
      "websiteURL": "https://example.com/login",
      "websiteKey": "b7890hre5cf2...9c19fb2600897",
      "userAgent": "Mozilla/5.0 (Windows NT 10.0, Win64, x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36"
    }
  }

Example request for BasiliskTask with proxy

json Copy
{
    "clientKey": "YOUR_API_KEY",
    "task": {
      "type": "BasiliskTask",
      "websiteUrl": "https://example.com/login",
      "websiteKey": "b7890h...19fb2600897",
      "userAgent": "Mozilla/5.0 (Windows NT 10.0, Win64, x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36",
      "proxyType": "http",
      "proxyAddress": "1.2.3.4",
      "proxyPort": 8080,
      "proxyLogin": "login",
      "proxyPassword": "password"
    }
  }

Response example

Method: getTaskResult
API endpoint: https://api.2captcha.com/getTaskResult

json Copy
{
  "solution": {
    "data": {
      "captcha_response": "5620301f30daf...9fba66fa9b3d0"
    },
    "headers": {
      "User-Agent": "Mozilla/5.0 (Windows NT 10.0, Win64, x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36"
    }
  }
}

You need to pass captcha_response to the target site as the Basilisk response. If the solution includes headers.User-Agent, use the same User Agent in your request to the site.